public static interface EventHubsEndpointBuilderFactory.EventHubsBuilders
| Modifier and Type | Method and Description |
|---|---|
default EventHubsEndpointBuilderFactory.EventHubsEndpointBuilder |
azureEventhubs(String path)
Azure Event Hubs (camel-azure-eventhubs)
The azure-eventhubs component that integrates Azure Event Hubs using
AMQP protocol.
|
default EventHubsEndpointBuilderFactory.EventHubsEndpointBuilder |
azureEventhubs(String componentName,
String path)
Azure Event Hubs (camel-azure-eventhubs)
The azure-eventhubs component that integrates Azure Event Hubs using
AMQP protocol.
|
default EventHubsEndpointBuilderFactory.EventHubsEndpointBuilder azureEventhubs(String path)
azure-eventhubs:namespace/eventHubName
Path parameter: namespace
EventHubs namespace created in Azure Portal
Path parameter: eventHubName
EventHubs name under a specific namcespacepath - namespace/eventHubNamedefault EventHubsEndpointBuilderFactory.EventHubsEndpointBuilder azureEventhubs(String componentName, String path)
azure-eventhubs:namespace/eventHubName
Path parameter: namespace
EventHubs namespace created in Azure Portal
Path parameter: eventHubName
EventHubs name under a specific namcespacecomponentName - to use a custom component name for the endpoint
instead of the default namepath - namespace/eventHubNameApache Camel